'
' JustLDAP test script to return days remaining until user password expires.
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Variant;  Integer number of days left.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.DaysUntilPwExpire("newuser")

  MsgBox(Result)

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  End If

  Result = oLdap.GetInformationMessage() 
 
  MsgBox(Result)

Set oLdap = Nothing


