'
' JustLDAP test script for setting the users account expiry date.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Expire date - string e.g. "05/04/2006"
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, ExpireDate

Set oLdap = CreateObject("JustLDAP.Admin")

  ExpireDate = "February 19, 2006"  ' Or "05/23/2007"  etc. ( Any VBScript Date dalue )

  'ExpireDate = 0  ' <--'NOTE: This will set account to never expire.

  Result = oLdap.SetAccountExpiryDate("bobuser", ExpireDate)
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



