'
' JustLDAP test script to test if a user has the right to change their own password or not.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Boolean;  True  = User can change their own password
'                   False = User cannot change their own password
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.CanUserChangePassword("bobuser")

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User can change their own password"
    else
      Wscript.Echo "User cannot change their own password"
    End If

  End If
 

Set oLdap = Nothing


